%define uname CUnit

%define bad_version 2.1-3

%define	major 1
%define	libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		cunit
Version:	2.1.3
Release:	%mkrel 6
License:	GPLv2+
Summary:	A Unit Testing Framework for C
Group:		System/Libraries
URL:		https://cunit.sourceforge.net/
Source:		https://sourceforge.net/projects/cunit/files/CUnit/%{bad_version}/%{uname}-%{bad_version}.tar.bz2
Patch0:		%{name}-2.1.0.link_against_ncurses.patch
Patch1:		cunit-2.1-automake-1.13.patch
Patch2:		cunit-2.1.3-mga-curses-format.patch
Patch3:		https://sourceforge.net/p/cunit/patches/24/attachment/patch-cunit_sources_curses_curses.c.diff
BuildRequires:	pkgconfig(ncurses)

%description
CUnit is a lightweight system for writing, administering, and running unit
tests in C.  It provides C programmers a basic testing functionality with a
flexible variety of user interfaces.

CUnit is built as a static library which is linked with the user's testing
code.  It uses a simple framework for building test structures, and provides a
rich set of assertions for testing common data types. In addition, several
different interfaces are provided for running tests and reporting results.
These interfaces currently include:

- Automated: Non-interactive output to xml file
- Basic: Non-interactive flexible programming interface
- Console: Interactive console interface (ansi C)
- Curses: Interactive graphical interface (Unix)

%package -n %{libname}
Summary:	C testing framework
Group:		System/Libraries

%description -n %{libname}
CUnit is a lightweight system for writing, administering, and running unit
tests in C.  It provides C programmers a basic testing functionality with a
flexible variety of user interfaces.

CUnit is built as a static library which is linked with the user's testing
code.  It uses a simple framework for building test structures, and provides a
rich set of assertions for testing common data types. In addition, several
different interfaces are provided for running tests and reporting results.
These interfaces currently include:

- Automated: Non-interactive output to xml file
- Basic: Non-interactive flexible programming interface
- Console: Interactive console interface (ansi C)
- Curses: Interactive graphical interface (Unix)

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{uname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 1 -d

%description -n	%{develname}
This package contains development files for %{name}.

%prep
sed -i 's@ CUnit/@ x/CUnit/@' %{PATCH3}
%autosetup -p1 -n %{uname}-%{bad_version}
chmod 644 AUTHORS NEWS ChangeLog README TODO

%build
autoreconf -f -i
%configure \
	--enable-curses
%make_build

%install
%make_install

# Drop .la file
rm -f  %{buildroot}%{_libdir}/libcunit.la

# ugly, but needed to deal with installed and non-installed documentation
install -d -m 755 %{buildroot}%{_datadir}/doc/%{libname}-devel-%{version}
mv %{buildroot}%{_prefix}/doc/%{uname} \
    %{buildroot}%{_datadir}/doc/%{libname}-devel-%{version}/html
install -m 644 AUTHORS NEWS ChangeLog README TODO \
    %{buildroot}%{_datadir}/doc/%{libname}-devel-%{version} 
rm -rf %{buildroot}%{_prefix}/doc

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_datadir}/doc/%{libname}-devel-%{version}
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{uname}
%{_datadir}/%{uname}
%{_mandir}/man3/*


%changelog
* Thu Aug 22 2024 danf <danf> 2.1.3-6.mga10
+ Revision: 2087882
- Patch to fix compilation with ncurses

* Thu Mar 17 2022 danf <danf> 2.1.3-5.mga9
+ Revision: 1795120
- Add curses-format.patch to fix compile errors with ncurses ver. 6.3
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 2.1.3-4.mga8
+ Revision: 1512320
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Sep 24 2018 wally <wally> 2.1.3-3.mga7
+ Revision: 1303543
- provide CUnit-devel with devel pkg

* Sun Sep 23 2018 umeabot <umeabot> 2.1.3-2.mga7
+ Revision: 1297352
- Mageia 7 Mass Rebuild

* Tue Nov 29 2016 zezinho <zezinho> 2.1.3-1.mga6
+ Revision: 1071023
- new version from 2014, time to upgrade

* Mon Feb 01 2016 umeabot <umeabot> 2.1.2-8.mga6
+ Revision: 929729
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.2-7.mga5
+ Revision: 748746
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.1.2-6.mga5
+ Revision: 693707
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.1.2-5.mga5
+ Revision: 678617
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1.2-4.mga4
+ Revision: 503621
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.1.2-3.mga3
+ Revision: 348421
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 cjw <cjw> 2.1.2-2.mga3
+ Revision: 337625
+ rebuild (emptylog)

* Mon Dec 31 2012 pterjan <pterjan> 2.1.2-1.mga3
+ Revision: 336459
- Fix build with automake 1.13
+ sander85 <sander85>
- Drop .la file.

* Wed Mar 30 2011 ahmad <ahmad> 2.1.2-1.mga1
+ Revision: 79098
- update to 2.1.2
- update Source url
- drop old/unneeded scriptlets
- imported package cunit

